package com.eactive.eai.rms.onl.statistics.statisticinfo.osidinstistatistic;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

/**
 * <pre>
 * 1. 기능 : 
 * 2. 처리 개요 : 
 *     - 
 * 3. 주의사항 : 
 * </pre>
 * @author  : yk
 * @version : $Revision: 1.1 $
 */
@Repository("osidInstiStatisticDAO")
public class OsidInstiStatisticDAO extends SqlMapClientTemplateDao {

    public int selectCompanyListCount(HashMap paramMap) throws Exception {
    	return (Integer)template.queryForObject("OsidInstiStatistic.selectCompanyListCount", paramMap);
    }
    
    public int selectApcodeListCount(HashMap paramMap) throws Exception {
    	return (Integer)template.queryForObject("OsidInstiStatistic.selectAPCodeListCount", paramMap);
    }
    
    public int selectApcodeDuplchk(HashMap paramMap) throws Exception {
    	return (Integer)template.queryForObject("OsidInstiStatistic.selectApcodeDuplchk", paramMap);
    }
    
    public List selectCompanyList(HashMap paramMap) throws Exception {
    	return (List)template.queryForList("OsidInstiStatistic.selectCompanyList", paramMap);
    }
    
    public List selectApcodeList(HashMap paramMap) throws Exception {
    	return (List)template.queryForList("OsidInstiStatistic.selectAPCodeList", paramMap);
    }
    
    public List selectNotInCompanyList(HashMap paramMap) throws Exception {
    	return (List)template.queryForList("OsidInstiStatistic.selectNotInCompanyList", paramMap);
    }
    
    public List selectNotInApcodeList(HashMap paramMap) throws Exception {
    	return (List)template.queryForList("OsidInstiStatistic.selectNotInAPCodeList", paramMap);
    }
    
    public void insertCompanyList(HashMap<String, Object> paramMap) throws Exception {
		this.template.insert("OsidInstiStatistic.insertCompanyList", paramMap);
	}
    
    public void insertApCodeList(HashMap<String, Object> paramMap) throws Exception {
		this.template.insert("OsidInstiStatistic.insertApCodeList", paramMap);
	}
   
    public void deleteCompanyList(HashMap<String, Object> paramMap) throws Exception {
		this.template.delete("OsidInstiStatistic.deleteCompanyList", paramMap);
	}
    
    public void deleteApCodeList(HashMap<String, Object> paramMap) throws Exception {
		this.template.delete("OsidInstiStatistic.deleteAPCodeList", paramMap);
	}
    
    public List<Map<String, Object>> selectCronCompanyList(HashMap paramMap) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("OsidInstiStatistic.selectCronCompanyList", paramMap);
    }
    
    public List<Map<String, Object>> selectCronApCodeList(HashMap paramMap) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("OsidInstiStatistic.selectCronApCodeList", paramMap);
    }
    
    public void insertBlackCompanyList(HashMap<String, Object> paramMap) throws Exception {
  		this.template.insert("OsidInstiStatistic.insertBlackCompanyList", paramMap);
  	}
    
    public void insertBlackApCodeList(HashMap<String, Object> paramMap) throws Exception {
  		this.template.insert("OsidInstiStatistic.insertBlackAPCodeList", paramMap);
  	}
    
    
    
}
